NAME

OpenAPI::Client::OpenAI::Path::fine_tuning-checkpoints-fine_tuned_model_checkpoint-permissions - Documentation for the /fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions path.

OPERATIONS

GET /fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions

listFineTuningCheckpointPermissions

$client->list_fine_tuning_checkpoint_permissions({
    body => { ... },
});

NOTE: This endpoint requires an admin API key .

Organization owners can use this endpoint to view all permissions for a fine-tuned model checkpoint.

Path/query parameters

  • fine_tuned_model_checkpoint (in path, required, string) - The ID of the fine-tuned model checkpoint to get permissions for.

  • project_id (in query, optional, string) - The ID of the project to get permissions for.

  • after (in query, optional, string) - Identifier for the last permission ID from the previous pagination request.

  • limit (in query, optional, integer) - Number of permissions to retrieve.

    Default: 10

  • order (in query, optional, string) - The order in which to retrieve permissions.

    Allowed values: ascending, descending

    Default: descending

Responses

200 - OK

Content-Type: application/json

Example:

{
   "data" : [
      "{\n  \"object\": \"checkpoint.permission\",\n  \"id\": \"cp_zc4Q7MP6XxulcVzj4MZdwsAB\",\n  \"created_at\": 1712211699,\n  \"project_id\": \"proj_abGMw1llN8IrBb6SvvY5A1iH\"\n}\n"
   ],
   "first_id" : "string",
   "has_more" : false,
   "last_id" : "string",
   "object" : "list"
}

POST /fine_tuning/checkpoints/{fine_tuned_model_checkpoint}/permissions

createFineTuningCheckpointPermission

$client->create_fine_tuning_checkpoint_permission({
    body => { ... },
});

NOTE: Calling this endpoint requires an admin API key .

This enables organization owners to share fine-tuned models with other projects in their organization.

Path/query parameters

  • fine_tuned_model_checkpoint (in path, required, string) - The ID of the fine-tuned model checkpoint to create a permission for.

Responses

200 - OK

Content-Type: application/json

Example:

{
   "data" : [
      "{\n  \"object\": \"checkpoint.permission\",\n  \"id\": \"cp_zc4Q7MP6XxulcVzj4MZdwsAB\",\n  \"created_at\": 1712211699,\n  \"project_id\": \"proj_abGMw1llN8IrBb6SvvY5A1iH\"\n}\n"
   ],
   "first_id" : "string",
   "has_more" : false,
   "last_id" : "string",
   "object" : "list"
}

SCHEMAS

CreateFineTuningCheckpointPermissionRequest

Properties:

  • project_ids (array of string, required) - The project identifiers to grant access to.

FineTuningCheckpointPermission

Properties:

  • created_at (integer, required) - The Unix timestamp (in seconds) for when the permission was created.

  • id (string, required) - The permission identifier, which can be referenced in the API endpoints.

  • object (string, required) - The object type, which is always "checkpoint.permission".

    Allowed values: checkpoint.permission

  • project_id (string, required) - The project identifier that the permission is for.

ListFineTuningCheckpointPermissionResponse

Properties:

  • data (array of FineTuningCheckpointPermission, required)

  • first_id (anyOf)

  • has_more (boolean, required)

  • last_id (anyOf)

  • object (string, required)

    Allowed values: list

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.